Bug 575496 (perl-CGI-Compile) - Review Request: perl-CGI-Compile - Compile .cgi scripts to a code reference like ModPerl::Registry
Summary: Review Request: perl-CGI-Compile - Compile .cgi scripts to a code reference l...
Status: CLOSED NEXTRELEASE
Alias: perl-CGI-Compile
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/CGI-Compile
Whiteboard:
Keywords:
Depends On: perl-Test-Requires
Blocks: perl-Plack, plack
TreeView+ depends on / blocked
 
Reported: 2010-03-21 00:31 UTC by Chris Weyl
Modified: 2011-08-12 12:33 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-05-06 23:45:36 UTC
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-03-21 00:31:25 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-CGI-Compile.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-CGI-Compile-0.11-1.fc12.src.rpm

Description:
CGI::Compile is an utility to compile CGI scripts into a code reference
that can run many times on its own namespace, as long as the script is
ready to run on a persistent environment.

Additional Comment:

This package is a dependency of the Plack PSGI implementation.

*rt-0.10_01

Comment 1 Emmanuel Seyman 2010-05-02 21:09:53 UTC
Taking.

Comment 2 Emmanuel Seyman 2010-05-02 21:25:33 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2156330

 [x] Rpmlint output:
perl-CGI-Compile.src: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
perl-CGI-Compile.noarch: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
ec8bd2e3d8385c939584ad9b5ffeffb7  CGI-Compile-0.11.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: fedora-rawhide-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2156330
 [-] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=6, Tests=11,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.30 cusr  0.08 csys =  0.41 CPU)
Result: PASS

APPROVED.

Comment 3 Chris Weyl 2010-05-05 16:03:44 UTC
New Package CVS Request
=======================
Package Name: perl-CGI-Compile
Short Description: Compile .cgi scripts to a code reference like ModPerl::Registry
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-05-06 15:27:29 UTC
CVS done (by process-cvs-requests.py).

(and could you answer my email query about the zim package? :)

Comment 5 Chris Weyl 2010-05-06 23:45:36 UTC
Thanks for the review! :-)

Comment 6 Jose Pedro Oliveira 2011-08-12 01:47:35 UTC
Package Change Request
======================
Package Name: perl-CGI-Compile
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]

Comment 7 Gwyn Ciesla 2011-08-12 12:33:12 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.